<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<Profiles>
	<ClientProfilesV3>
		<DetectionProfile>
			<DetectionEntry ProfileID="1">
				<Name>Bad: $BanMsg Support</Name>
				<Cheat>BanMSG Detected</Cheat>
				<Comment>BanMsg lets users ban other users</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="SU" Pattern="\bBanMsg\b" Protocol="nmdc"/>
					<InfField Field="NI" Pattern="^sdc_.{2,9}$|^\[pul\].{1,9}$" Protocol="adc"/>
					<InfField Field="DE" Pattern="^((\[(\d){1,3}\])?SababaDC\.com)?$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="73">
				<Name>Bad: No $TTHL $TTHF Support</Name>
				<Cheat>Outdated Client Detected</Cheat>
				<Comment>Bad: No TTH Support: This user should update to benefit from Direct Connect usage</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="SU" Pattern="^(BZList |TTH )(GetTestZBlock |Mini[Ss]lots |XmlBZList )?(CHUNK |TTH )?(GetZBlock |MiniSlots |XmlBZList )?(BZList |ADCGet )?(ClientId )?(Uploadinfo )?(DHD )?(CDM )?(GetTestZBlock )?(GetZBlock )?$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="19">
				<Name>Bad: ApexDC++ Speed Mod</Name>
				<Cheat>Leech Mod Detected</Cheat>
				<Comment>ApexDC++ Speed Mod: Contains unwated features</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="both"/>
					<InfField Field="VE" Pattern="^s([78]|9(\.[25])?|1(0\.2|1|2\.1|3(\.[134])?|[45]|6(\.[12])?))$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;ApexDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS],(%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^ApexDC\+\+ s([78]|9(\.[25])?|1(0\.2|1|2\.1|3(\.[134])?|[45]|6(\.[12])?))$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="246">
				<Name>Bad: Fake DC++</Name>
				<Cheat>Fake Client</Cheat>
				<Comment>This Client has a messed up PK and Lock String that does not match DC++</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOL\w{20,40}$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS\w{50,100}$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="37">
				<Name>Bad: FlylinkDC++</Name>
				<Cheat>Leech Mod Detected</Cheat>
				<Comment>FlylinkDC++: Contains unwated features</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;FlylinkDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^\(r\d{1,3}\)$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^FlylinkDC\+\+ \(r\d{1,3}\)$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="55">
				<Name>Bad: GreylinkDC++</Name>
				<Cheat>Leech Mod Detected</Cheat>
				<Comment>GreylinkDC++: Contains unwated features</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;gl\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^\d\.\d{1,3}$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^gl\+\+ \d\.\d{1,3}$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="2">
				<Name>Bad: Invalid TestSUR</Name>
				<Cheat>Invalid TestSUR Detected</Cheat>
				<Comment>Invalid TestSUR: Fake version of DC++</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File( Not Found|  Not  Available)$|^Fuck you!!!$|^ShareException: File Not Available( )?$|^Connecting\.\.\.$|^File not in cache$|^Bad request not supported$|^MaxedOut$" Protocol="both"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="3">
				<Name>Bad: Brotherhood DC Hub Abuser</Name>
				<Cheat>DDos Tool Detected</Cheat>
				<Comment>Brotherhood DC Hub Abuser: NMDC Exploit that uses the CTM Exploit to DDos other users</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="&lt;\+\+ V:0\.67[04],M:[AP],H:[12]/[2-4]/1,S:(10|7|3|6|9)&gt;" Protocol="nmdc"/>
					<InfField Field="NI" Pattern="\[(SE|UK|PL|NL)\](-)?-(Bumblebee|Megatron|Octimus|Galvatron|Barricade|Blackout|Rachet|Ironhide|Starscream)-$" Protocol="nmdc"/>
					<InfField Field="DE" Pattern="(Mp3|Games|Movies|Freeware|Verlie Muncher|Yoshi Muncher!)" Protocol="nmdc"/>
					<InfField Field="SS" Pattern="(65489345673|167714798063|137714798063|97714798063|67714798063|37714798063|57714998063|157714998063|257714998063)" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="4">
				<Name>Bad: Super Nova</Name>
				<Cheat>DDos Tool Detected</Cheat>
				<Comment>Supernova: NMDC Exploit that uses the CTM Exploit to DDos other users</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],H:\d{1,5}((/)?(\d{1,5})?){1,3},%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="DE" Pattern="^supernova-%[DVE]-Project$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="5">
				<Name>Bad: w32.Tibick</Name>
				<Cheat>DDos Tool Detected</Cheat>
				<Comment>w32.Tibick: http://www.symantec.com/avcenter/attack_sigs/s22317.html</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>3</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="NI" Pattern="^(\[.{1,10}\]|.{1,10})?mynick(.{1,10})?$" Protocol="both"/>
					<InfField Field="EM" Pattern="^myemail@host\.com$" Protocol="both"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="6">
				<Name>Full ADC: AirDC++</Name>
				<Cheat/>
				<Comment>http://www.airdcpp.com/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^(GetListLength not supported|File Not Available)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;AirDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^2.0[1-4]$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|1[19])$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100(0)?)$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^AirDC\+\+ 2.0[1-4]$" Protocol="adc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="7">
				<Name>Full ADC: ApexDC++</Name>
				<Cheat/>
				<Comment>http://www.apexdc.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^(GetListLength not supported|File Not Available)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;ApexDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|1[19])$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^1.0.(0( )?B[2-5]?|1)|1\.(1\.0|2.\0B)$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100(0)?)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^ApexDC\+\+ (^1.0.(0( )?B[2-5]?|1)|1\.(1\.0|2.\0B))$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="8">
				<Name>Full ADC: DC++</Name>
				<Cheat/>
				<Comment>http://dcplusplus.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>1</CheckMismatch>
				<INFMaps>
					<InfField Field="CO" Pattern="^(0\.(005|0[125]|[125])|[125]|[125]0|100(0)?)$" Protocol="both"/>
					<InfField Field="TS" Pattern="^(GetListLength not supported|File Not Available)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^0\.70([0-9]|91)?$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^\+\+ 0\.70([0-9]|91)?$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="9">
				<Name>Full ADC: StrongDC++</Name>
				<Cheat/>
				<Comment>http://strongdc.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^(GetListLength not supported|File Not Available)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;StrgDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|1[179])$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^2\.(0[0-6]|1([1-3])?|2(1)?)$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100(0)?)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^StrgDC\+\+ 2\.(0[0-6]|1([1-3])?|2(1)?)$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="10">
				<Name>Full ADC: RSX++</Name>
				<Cheat/>
				<Comment>http://rsxplusplus.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^(GetListLength not supported|File Not Available)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;RSX\+\+ V:%[VE],%[CSM],%[CSH,%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^1\.00(B[23])?$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|1[19])$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100(0)?)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH,%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^RSX\+\+ 1\.00(B[23])?$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="102">
				<Name>Full ADC: UC</Name>
				<Cheat/>
				<Comment>http://www.jucy.eu/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>1</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;UC V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^0\.(6[1-4]|70)$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF ZLIG$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^UC 0\.(6[1-4]|70)$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="11">
				<Name>Partial ADC: ApexDC++</Name>
				<Cheat/>
				<Comment>http://www.apexdc.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="VE" Pattern="^0\.[1-4]\.[0-2]$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;ApexDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^ApexDC\+\+ 0\.[1-4]\.[0-2]$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="12">
				<Name>Partial ADC: DC++</Name>
				<Cheat/>
				<Comment>http://dcplusplus.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>1</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="CO" Pattern="^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^0\.(6(8(1{0,2}|[5-9])|9([1-8]|9(5)?)?))$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^\+\+ 0\.(6(8(1{0,2}|[5-9])|9([1-8]|9(5)?)?))$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="149">
				<Name>Partial ADC: IceDC++</Name>
				<Cheat>Discontinued Client</Cheat>
				<Comment>http://sourceforge.net/projects/icedc</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="VE" Pattern="^1.01a(\.PB1)?$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;IceDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^IceDC\+\+ 1.01a(\.PB1)?$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="26">
				<Name>Partial ADC: MitDC++</Name>
				<Cheat>GPL Breaker, Discontinued Client</Cheat>
				<Comment>N/A</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;MitDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^1\.00$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^MitDC\+\+ 1\.00$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="13">
				<Name>Partial ADC: RSX++</Name>
				<Cheat/>
				<Comment>http://rsxplusplus.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;RSX\+\+ V:%[VE],%[CSM],%[CSH,%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^1\.00B1$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^RSX\+\+ 1\.00B1$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="25">
				<Name>Partial ADC: Zion++</Name>
				<Cheat>GPL Breaker, Discontinued Client</Cheat>
				<Comment>N/A</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="TA" Pattern="^&lt;Z\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^2\.(0[4-7]|11)$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOL[ZPA-C]{18}$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^ZIONPLUSPLUS%[PKVE][A-C]{6}$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF GetCID (ADCMode )?(GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^Modem|ISDN|Wireless|Satellite|Cable|DSL|LAN\(T[13]\)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^Z\+\+ 2\.(0[4-7]|11)$" Protocol="adc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="22">
				<Name>Partial ADC: zK++</Name>
				<Cheat/>
				<Comment>http://www.zkplusplus.webs.com/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="both"/>
					<InfField Field="VE" Pattern="^0\.7(([12]0([12])?)|21)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;zK\+\+ V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS0.699ABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock )?(ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^((ADC0|(TCP|UDP)4){1}(,)?){1,3}$" Protocol="adc"/>
					<InfField Field="TA" Pattern="^&lt;%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="adc"/>
					<InfField Field="VE" Pattern="^zK\+\+ 0\.7(([12]0([12])?)|21)$" Protocol="adc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="14">
				<Name>NMDC Only: AirDC++</Name>
				<Cheat/>
				<Comment>http://www.airdcpp.com/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;AirDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[version]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="94">
				<Name>NMDC Only: DC++ Mod</Name>
				<Cheat>Emulation Detected</Cheat>
				<Comment>A Client Emulating DC++</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[3-9](\d)?$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="DE" Pattern="(&lt;(\[)?([\W\s\w]){2,10}\+\+( (\[)?%[DVE](\])?)?(\])?&gt;)?" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="15">
				<Name>NMDC Only: DC++</Name>
				<Cheat/>
				<Comment>http://dcplusplus.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>1</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;\+\+ V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^0\.(40([2-3]|3[2-4])|6(6[6-8]|7[0-4]))$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(28\.8|33\.6|56)Kbps|ISDN|Satellite|Cable|DSL|LAN\(T[13]\)$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="148">
				<Name>NMDC Only: IceDC++</Name>
				<Cheat>Discontinued Client</Cheat>
				<Comment>http://sourceforge.net/projects/icedc</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;IceDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS],(%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^(0\.003|1\.00a)$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="21">
				<Name>NMDC Only: LDC++</Name>
				<Cheat>Discontinued Client</Cheat>
				<Comment>http://ldcpp.berlios.de/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="VE" Pattern="^0\.403|1\.00 (RC1|v2[ab]?)$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;LDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="23">
				<Name>NMDC Only: Peerweb DC++</Name>
				<Cheat>Discontinued Client</Cheat>
				<Comment>http://www.apexdc.net/history/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="VE" Pattern="^(1\.[01]0|0\.(20[0-5]|3(01)?|4(1)?))$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;PW(S)?DC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="16">
				<Name>NMDC Only: ShakesPeer</Name>
				<Cheat/>
				<Comment>http://shakespeer.bzero.se/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>1</CheckMismatch>
				<INFMaps>
					<InfField Field="PK" Pattern="^ShakesPeer%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="EXTENDEDPROTOCOLABCABCABCABCABCABC" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;SP V:%[VE],%[CSM],%[CSH],%[CSS]&gt;$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^0\.9\.([4578]|1[01])$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="17">
				<Name>NMDC Only: StrongDC++</Name>
				<Cheat/>
				<Comment>http://strongdc.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="TA" Pattern="^&lt;StrgDC\+\+ V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;$" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOLABCABCABCABCABCABC$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCPLUSPLUS%[PKVE]ABCABC$" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^MiniSlots XmlBZList ADCGet TTHL TTHF (GetZBlock ZLIG )?" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^([13579]|11)$" Protocol="nmdc"/>
					<InfField Field="VE" Pattern="^1.00 RC([5-9]|9(f[2]?|\.5)){1}(cvs[0-9]{1,2})?$|^1.00 RC10(cvs[0-9]{3})?$|^1\.00cvs[0-9]{1,3}$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(Modem|Satellite|Wireless|ISDN|Cable|DSL|LAN\(T[13]{1}\))$|^(0\.(005|0[125]|[125])|[125]|[125]0|100)$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="20">
				<Name>NMDC Only: Valknut</Name>
				<Cheat/>
				<Comment>http://wxdcgui.sourceforge.net/</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>1</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="VE" Pattern="^0\.3\.([89]|1\d(a)?)" Protocol="nmdc"/>
					<InfField Field="LO" Pattern="^EXTENDEDPROTOCOL[\w\W]+$" Protocol="nmdc"/>
					<InfField Field="PK" Pattern="^DCGUI[\w\W]+$" Protocol="nmdc"/>
					<InfField Field="TA" Pattern="^&lt;DCGUI V:%[VE],%[CSM],%[CSH],%[CSS](,%[CSL])?&gt;" Protocol="nmdc"/>
					<InfField Field="SU" Pattern="^BZList XmlBZList (SSL )?CHUNK MiniSlots ADCGet TTHF (TTHL )?$" Protocol="nmdc"/>
					<InfField Field="ST" Pattern="^[12]$" Protocol="nmdc"/>
					<InfField Field="TS" Pattern="^File Not Available$" Protocol="nmdc"/>
					<InfField Field="CO" Pattern="^(28\.8|33\.6|56)Kbps|ISDN|Satellite|Cable|DSL|LAN\(T[13]\)$" Protocol="nmdc"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
		<DetectionProfile>
			<DetectionEntry ProfileID="18">
				<Name>No Detection: Submit Please</Name>
				<Cheat>No Profiled Matched</Cheat>
				<Comment>https://bugs.launchpad.net/aml</Comment>
				<RawToSend>0</RawToSend>
				<ClientFlag>2</ClientFlag>
				<IsEnabled>1</IsEnabled>
				<CheckMismatch>0</CheckMismatch>
				<INFMaps>
					<InfField Field="NI" Pattern="%[NI]" Protocol="both"/>
				</INFMaps>
			</DetectionEntry>
		</DetectionProfile>
	</ClientProfilesV3>
	<Params>
		<Param Name="DVE" Pattern="[\w\d \.]{2,10}"/>
		<Param Name="CSS" Pattern="(S:\d{1,10}(,O:\d{1,10})?)"/>
		<Param Name="CSL" Pattern="([BLURD]{1}:\d{1,10}([\.,](\d{1,10}))?)(,([BLURD]{1}:\d{1,10}(\.(\d{1,10}))?))?"/>
		<Param Name="CSM" Pattern="(M:[AP5])"/>
		<Param Name="CSH" Pattern="(H:(\d{1,5}/){2}\d{1,5})"/>
	</Params>
	<ProfileInfo>
		<DetectionProfile>
			<Version>4.01.26</Version>
			<Message>AML Clientlist maintained by Toast</Message>
			<URL>https://launchpad.net/aml</URL>
		</DetectionProfile>
	</ProfileInfo>
</Profiles>
